1. AI_API
Graduation API
  • AI_API
    • API Root
      GET
    • API Health Status
      GET
    • Water Hyacinth Detection
      POST
    • Schemas
      • PredictionSchema
  • backend_API
    • Profiles
      • List profiles
      • Create profile
      • Update profile
      • Delete profile
    • Classification Runs
      • List classification runs
      • Create classification run
      • Update classification run
      • Delete classification run
    • Schemas
      • Profile
      • ProfileInput
      • ClassificationRun
      • ClassificationRunInput
Github Repo
  1. AI_API

Water Hyacinth Detection

POST
/predict
Last modified:2026-05-08 22:07:02
Maintainer:Yousef Dawood

🌿 Prediction Endpoint#

Analyze an uploaded image and determine whether it contains water hyacinth using a deep learning classification model.

Features#

Image-based inference
TensorFlow + EfficientNetV2 powered
Real-time prediction
Confidence scoring

Request#

Upload an image file using multipart/form-data.

Supported Formats#

JPG
JPEG
PNG
WEBP

Response#

Returns:
Predicted class
Raw probability score
Confidence score
Inference time

Possible Predictions#

PredictionMeaning
water_hyacinthWater hyacinth detected
not_water_hyacinthNo water hyacinth detected

Example Response#

{
  "prediction": "water_hyacinth",
  "probability": 0.93214,
  "confidence": 0.93214,
  "inference_time": 0.214
}

Request

Body Params multipart/form-dataRequired

Responses

🟢200Water Hyacinth Prediction
application/json
Body

🟠422Unprocessable Entity
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'http://13.60.65.62:3000/predict' \
--form 'file=@"C:\\Users\\youse\\Desktop\\waterhyacinth_MAIN.webp"'
Response Response Example
200 - Example 1
{
    "prediction": "water_hyacinth",
    "probability": 0,
    "confidence": 0,
    "inference_time": 0
}
Modified at 2026-05-08 22:07:02
Previous
API Health Status
Next
PredictionSchema
Built with